Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_PreparedSelector

    java.lang.Object
      oracle.ifs.server.S_PreparedSelector

Direct Known Subclasses:
  S_TiePreparedSelector

    public class S_PreparedSelector

extends java.lang.Object

A S_PreparedSelector class is used to perform a simple search using a cached PreparedStatement, and optionally using bind variables.

(Unpublished)

Field Summary
`static java.lang.String` | `STATEMENTKEY_ADMIN_MODE_SUFFIX` The suffix to apply to statement keys when the select occurs in admin discover mode.

Constructor Summary
`S_PreparedSelector(S_LibrarySession session)` Constructs a S_PreparedSelector.
`S_PreparedSelector(S_LibrarySession session, java.lang.String key, boolean distinct, AttributeValue searchTarget, AttributeValue[] auxSearchTargets, java.lang.String searchSelection, SortSpecification sort, boolean recursive, java.lang.String language, int maxItemCount, int rowNumber, java.lang.String hint, AttributeValue[] bindValues)` Constructs a S_PreparedSelector.

Method Summary
`protected void` | `applySortSpecificationDefaults()` Applies the primary search target settings as the default class/alias for the current sort specification.
`AttributeValue[]` | `getAuxiliarySearchTargets()` Returns the auxiliary search targets.
`AttributeValue[]` | `getBindValues()` Gets the bind values to use in the select statement.
`static java.lang.String` | `getClassFromTarget(AttributeValue target)` Returns the class name from the specified search target.
`java.lang.String` | `getHint()` Gets the SQL hint to use for the main select.
`int` | `getItemCount()` Returns the row count of the search.
`S_LibraryObject[]` | `getItems()` Returns the entire search results as an array.
`int` | `getMaxItemCount()` Returns the maximum number of items that will be returned by `getItems`.
`java.lang.String` | `getPrimarySearchAlias()` Returns the alias used for the primary search class.
`java.lang.String` | `getPrimarySearchClass()` Returns the search class that was previously set.
`AttributeValue` | `getPrimarySearchTarget()` Returns the primary search target.
`java.lang.String` | `getSearchLanguage()` Returns the search language in effect.
`java.lang.String` | `getSearchSelection()` Returns the search selection that was set using setSearchSelection()
`S_LibrarySession` | `getSession()` Returns the session being used by this Selector.
`SortSpecification` | `getSortSpecification()` Returns the Sort Specification.
`int` | `getStartingRowNumber()` Returns the starting row number.
`java.lang.String` | `getStatementKey()` Returns the statement key.
`boolean` | `isDistinct()` Returns true if distinct searching is enabled with respect to classes.
`boolean` | `isRecursiveSearch()` Returns true if recursive searching is enabled with respect to classes.
`protected java.lang.String` | `resolveStatementKey(S_LibraryObjectSelector sel)` Resolve the statement key.
`void` | `setAuxiliarySearchTargets(AttributeValue[] targets)` Sets the auxiliary search targets.
`void` | `setBindValues(AttributeValue[] bindValues)` Sets the bind values to use in the select statement.
`void` | `setDistinct(boolean distinct)` Sets whether to use "distinct" clause.
`void` | `setHint(java.lang.String hint)` Sets the SQL hint to use for the main select.
`void` | `setMaxItemCount(int maxItemCount)` Sets the maximum number of items that will be returned by `getItems`.
`void` | `setPrimarySearchClass(java.lang.String className)` Sets the primary search target, specifying the class name only.
`void` | `setPrimarySearchTarget(AttributeValue target)` Sets the primary search target.
`void` | `setRecursiveSearch(boolean recursive)` Enables/disables recursive searching with respect to classes.
`void` | `setSearchLanguage(java.lang.String language)` Sets the search language.
`void` | `setSearchSelection(java.lang.String searchSelection)` Sets the search selection.
`void` | `setSortSpecification(SortSpecification sort)` Sets the Sort Specification.
`void` | `setStartingRowNumber(int rowNumber)` Sets the starting row number.
`void` | `setStatementKey(java.lang.String key)` Sets the statement key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATEMENTKEY_ADMIN_MODE_SUFFIX

    public static final java.lang.String STATEMENTKEY_ADMIN_MODE_SUFFIX

  Description copied from class: `S_PreparedSelector`
  The suffix to apply to statement keys when the select occurs in admin discover mode.

  See Also:
    Constant Field Values

Constructor Detail

### S_PreparedSelector

    public S_PreparedSelector(S_LibrarySession session)
                       throws IfsException

  Constructs a S_PreparedSelector.

  Parameters:
    `session` - the current session.
  Throws:
    `IfsException` - if the operation fails

### S_PreparedSelector

    public S_PreparedSelector(S_LibrarySession session,
                              java.lang.String key,
                              boolean distinct,
                              AttributeValue searchTarget,
                              AttributeValue[] auxSearchTargets,
                              java.lang.String searchSelection,
                              SortSpecification sort,
                              boolean recursive,
                              java.lang.String language,
                              int maxItemCount,
                              int rowNumber,
                              java.lang.String hint,
                              AttributeValue[] bindValues)
                       throws IfsException

  Constructs a S_PreparedSelector.

  Parameters:
    `session` - the current session
    `key` - the statement key
    `distinct` - whether to select with "distinct" clause
    `searchTarget` - the primary search target
    `auxSearchTargets` - the auxiliary search targets
    `searchSelection` - the search selection
    `sort` - the sort specification
    `recursive` - whether the search should include subclasses
    `language` - the search language to use
    `maxItemCount` - maximum number of items to select
    `rowNumber` - the starting row number for the returned results
    `hint` - the SQL hint to use for the main select
    `bindValues` - the bind values
  Throws:
    `IfsException` - if the operation fails

Method Detail

### getSession

    public S_LibrarySession getSession()
                                throws IfsException

  Description copied from class: `S_PreparedSelector`
  Returns the session being used by this Selector.

  Returns:
    the current session
  Throws:
    `IfsException` - if the operation fails

### getStatementKey

    public java.lang.String getStatementKey()
                                     throws IfsException

  Description copied from class: `S_PreparedSelector`
  Returns the statement key.

  Returns:
    the statement key
  Throws:
    `IfsException` - if the operation fails.

### isDistinct

    public boolean isDistinct()
                       throws IfsException

  Description copied from class: `S_PreparedSelector`
  Returns true if distinct searching is enabled with respect to classes.

  Returns:
    true if distinct enabled.
  Throws:
    `IfsException` - if the operation fails.

### getSortSpecification

    public SortSpecification getSortSpecification()
                                           throws IfsException

  Description copied from class: `S_PreparedSelector`
  Returns the Sort Specification.

  Returns:
    the search item sort specificaion.
  Throws:
    `IfsException` - if the operation fails.

### getPrimarySearchTarget

    public AttributeValue getPrimarySearchTarget()
                                          throws IfsException

  Description copied from class: `S_PreparedSelector`
  Returns the primary search target.

  The AttributeValue returned encapulates the class name (as the AttributeValue's name) and the alias (as the AttributeValue's value).

  Returns:
    the primary search target.
  Throws:
    `IfsException` - if operation fails.

### getPrimarySearchClass

    public java.lang.String getPrimarySearchClass()
                                           throws IfsException

  Description copied from class: `S_PreparedSelector`
  Returns the search class that was previously set.

  Returns:
    the search class.
  Throws:
    `IfsException` - if operation fails.

### getPrimarySearchAlias

    public java.lang.String getPrimarySearchAlias()
                                           throws IfsException

  Description copied from class: `S_PreparedSelector`
  Returns the alias used for the primary search class.

  Returns:
    the primary search alias.
  Throws:
    `IfsException` - if operation fails.

### getAuxiliarySearchTargets

    public AttributeValue[] getAuxiliarySearchTargets()
                                               throws IfsException

  Description copied from class: `S_PreparedSelector`
  Returns the auxiliary search targets.

  The AttributeValues returned encapulate the class name (as the AttributeValue's name) and the alias (as the AttributeValue's value).

  Returns:
    the auxiliary search targets.
  Throws:
    `IfsException` - if operation fails.

### getSearchSelection

    public java.lang.String getSearchSelection()
                                        throws IfsException

  Description copied from class: `S_PreparedSelector`
  Returns the search selection that was set using setSearchSelection()

  Returns:
    the search selection.
  Throws:
    `IfsException` - if operation fails.

### isRecursiveSearch

    public boolean isRecursiveSearch()
                              throws IfsException

  Description copied from class: `S_PreparedSelector`
  Returns true if recursive searching is enabled with respect to classes.

  Returns:
    true is enabled.
  Throws:
    `IfsException` - if the operation fails.

### getSearchLanguage

    public java.lang.String getSearchLanguage()
                                       throws IfsException

  Description copied from class: `S_PreparedSelector`
  Returns the search language in effect.

  A value of null indicates that the default language should be used.

  Returns:
    the search language in effect
  Throws:
    `IfsException` - if operation fails.

### getMaxItemCount

    public int getMaxItemCount()
                        throws IfsException

  Description copied from class: `S_PreparedSelector`
  Returns the maximum number of items that will be returned by `getItems`.

  A value of zero indicates that there is no limit on the desired number of items.

  Returns:
    maximum number of items that will be returned
  Throws:
    `IfsException` - if the operation fails.

### getStartingRowNumber

    public int getStartingRowNumber()
                             throws IfsException

  Description copied from class: `S_PreparedSelector`
  Returns the starting row number.

  The value is 1-based, meaning that if the value is set to 101, the first 100 rows will be skipped. A value of zero or less is treated the same same as a setting of 1, indicating that no rows are skipped.

  Returns:
    the starting row number
  Throws:
    `IfsException` - if the operation fails.

### getHint

    public java.lang.String getHint()
                             throws IfsException

  Description copied from class: `S_PreparedSelector`
  Gets the SQL hint to use for the main select.

  Returns:
    the SQL hint
  Throws:
    `IfsException` - if the operation fails.

### getBindValues

    public AttributeValue[] getBindValues()
                                   throws IfsException

  Description copied from class: `S_PreparedSelector`
  Gets the bind values to use in the select statement.

  Returns:
    the bind values
  Throws:
    `IfsException` - if the operation fails.

### getClassFromTarget

    public static java.lang.String getClassFromTarget(AttributeValue target)
                                               throws IfsException

  Description copied from class: `S_PreparedSelector`
  Returns the class name from the specified search target.

  Parameters:
    `target` - the search target specification.
  Returns:
    the class name.
  Throws:
    `IfsException` - if operation fails.

### setStatementKey

    public void setStatementKey(java.lang.String key)
                         throws IfsException

  Description copied from class: `S_PreparedSelector`
  Sets the statement key.

  Parameters:
    `key` - the statement key.
  Throws:
    `IfsException` - if operation fails.

### setDistinct

    public void setDistinct(boolean distinct)
                     throws IfsException

  Description copied from class: `S_PreparedSelector`
  Sets whether to use "distinct" clause.

  Parameters:
    `distinct` - the distinct indication.
  Throws:
    `IfsException` - if operation fails.

### setPrimarySearchTarget

    public void setPrimarySearchTarget(AttributeValue target)
                                throws IfsException

  Description copied from class: `S_PreparedSelector`
  Sets the primary search target.

  Parameters:
    `target` - the search class.
  Throws:
    `IfsException` - if operation fails.

### setPrimarySearchClass

    public void setPrimarySearchClass(java.lang.String className)
                               throws IfsException

  Description copied from class: `S_PreparedSelector`
  Sets the primary search target, specifying the class name only.

  Parameters:
    `className` - the search class.
  Throws:
    `IfsException` - if operation fails.

### setAuxiliarySearchTargets

    public void setAuxiliarySearchTargets(AttributeValue[] targets)
                                   throws IfsException

  Description copied from class: `S_PreparedSelector`
  Sets the auxiliary search targets.

  Parameters:
    `targets` - the auxiliary search targets.
  Throws:
    `IfsException` - if operation fails.

### setSortSpecification

    public void setSortSpecification(SortSpecification sort)
                              throws IfsException

  Description copied from class: `S_PreparedSelector`
  Sets the Sort Specification.

  Parameters:
    `sort` - the sort specificaion.
  Throws:
    `IfsException` - if the operation fails.

### applySortSpecificationDefaults

    protected void applySortSpecificationDefaults()
                                           throws IfsException

  Description copied from class: `S_PreparedSelector`
  Applies the primary search target settings as the default class/alias for the current sort specification.

  Throws:
    `IfsException` - if the operation fails.

### setSearchSelection

    public void setSearchSelection(java.lang.String searchSelection)
                            throws IfsException

  Description copied from class: `S_PreparedSelector`
  Sets the search selection.

  Parameters:
    `searchSelection` - the search selection.
  Throws:
    `IfsException` - if operation fails.

### setRecursiveSearch

    public void setRecursiveSearch(boolean recursive)
                            throws IfsException

  Description copied from class: `S_PreparedSelector`
  Enables/disables recursive searching with respect to classes. The default is set true. This is equivalent to adding _R to the class name in extended SQL syntax.

  Parameters:
    `recursive` - true for enabled.
  Throws:
    `IfsException` - if the operation fails.

### setSearchLanguage

    public void setSearchLanguage(java.lang.String language)
                           throws IfsException

  Description copied from class: `S_PreparedSelector`
  Sets the search language.

  A value of null indicates that the default language should be used.

  Parameters:
    `language` - the search language
  Throws:
    `IfsException` - if operation fails.

### setMaxItemCount

    public void setMaxItemCount(int maxItemCount)
                         throws IfsException

  Description copied from class: `S_PreparedSelector`
  Sets the maximum number of items that will be returned by `getItems`.

  A value of zero indicates that there is no limit on the desired number of items.

  Parameters:
    `maxItemCount` - maximum number of items that will be returned
  Throws:
    `IfsException` - if the operation fails.

### setStartingRowNumber

    public void setStartingRowNumber(int rowNumber)
                              throws IfsException

  Description copied from class: `S_PreparedSelector`
  Sets the starting row number.

  The value is 1-based, meaning that if the value is set to 101, the first 100 rows will be skipped. A value of zero or less is treated the same same as a setting of 1, indicating that no rows are skipped.

  Parameters:
    `rowNumber` - the starting row number
  Throws:
    `IfsException` - if the operation fails.

### setHint

    public void setHint(java.lang.String hint)
                 throws IfsException

  Description copied from class: `S_PreparedSelector`
  Sets the SQL hint to use for the main select.

  Parameters:
    `hint` - the SQL hint
  Throws:
    `IfsException` - if the operation fails.

### setBindValues

    public void setBindValues(AttributeValue[] bindValues)
                       throws IfsException

  Description copied from class: `S_PreparedSelector`
  Sets the bind values to use in the select statement.

  Parameters:
    `bindValues` - the bind values
  Throws:
    `IfsException` - if the operation fails.

### getItems

    public S_LibraryObject[] getItems()
                               throws IfsException

  Description copied from class: `S_PreparedSelector`
  Returns the entire search results as an array.

  Returns:
    the search results.
  Throws:
    `IfsException` - if operation fails.

### getItemCount

    public int getItemCount()
                     throws IfsException

  Description copied from class: `S_PreparedSelector`
  Returns the row count of the search.

  Returns:
    the search result count.
  Throws:
    `IfsException` - if operation fails.

### resolveStatementKey

    protected java.lang.String resolveStatementKey(S_LibraryObjectSelector sel)
                                            throws IfsException

  Description copied from class: `S_PreparedSelector`
  Resolve the statement key.

  Append a suffix if this is a PublicObject query and the session is in admin discover mode.

  Returns:
    the search results.
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD